Bug 508668 - Loop device mounts don't work
Loop device mounts don't work
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 08:20 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-06-29 08:20:01 EDT
Loop device mounts inside the appliance don't work.  The reason
is just that loop device requires a filename to be specified,
where a device is being expected.

This is an example using a Fedora 11 LiveCD:

$ ./fish/guestfish --ro -a ~/Fedora-11-i686-Live.iso

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help with commands
      'quit' to quit the shell

><fs> run
><fs> mount /dev/sda /
><fs> ls /
EFI
GPL
LiveOS
README
isolinux
><fs> ls /LiveOS
livecd-iso-to-disk
osmin.img
squashfs.img
><fs> help mount-options 
mount-options - mount a guest disk with mount options
     mount-options <options> <device> <mountpoint>

    This is the same as the "mount" command, but it allows you to set the
    mount options as for the mount(8) *-o* flag.

><fs> mount-options loop /LiveOS/squashfs.img /isolinux
libguestfs: error: do_mount_vfs: /LiveOS/squashfs.img: expecting a device name
Comment 1 Richard W.M. Jones 2009-06-29 11:06:36 EDT
The following cset should fix this:
http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=a548d51b703f5385797594a37287f4532af289a2
Comment 2 Fedora Update System 2009-06-29 15:27:27 EDT
libguestfs-1.0.54-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.54-2.fc11
Comment 3 Fedora Update System 2009-07-02 19:26:14 EDT
libguestfs-1.0.55-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.55-1.fc11
Comment 4 Fedora Update System 2009-07-11 05:27:11 EDT
libguestfs-1.0.58-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.58-2.fc11
Comment 5 Fedora Update System 2009-07-11 13:12:33 EDT
libguestfs-1.0.54-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-07-19 06:27:43 EDT
libguestfs-1.0.58-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Richard W.M. Jones 2010-03-27 06:33:17 EDT
Long fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.